// ContrastPlugIn.h
#pragma once
using namespace System;

namespace ContrastPlugIn
{
  /// <summary>
  /// Class used for contrast calculation.
  /// Dynamically bound by the application
  /// at runtime.
  /// </summary>
  ///<requirements>F:image_contrast_and_color</requirements>
public __gc class Contrast
  {
  public:
    // Method Invoked by the Application
    void ProcessImage(Drawing::Bitmap& image, int param, 
          int unused1, int unused2);
    
  private:
    // Helper method
    unsigned int calcNewValue(unsigned int colorValue, 
        double colorFactor, unsigned int pixValue,
        double factor, unsigned int maxPixValue, double lookUpValue);
  };
}
